Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface BXITCD

All Superinterfaces:
  ANY, CD, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  BXITCDImpl

    public interface BXITCD

extends CD

A representation of the model object 'BXITCD'.

The following features are supported:

- `Qty`

See Also:
  `CDAR2Package.getBXITCD()`

Method Summary
`java.math.BigInteger` | `getQty()` Returns the value of the 'Qty' attribute.
`boolean` | `isSetQty()` Returns whether the value of the '`Qty`' attribute is set.
`void` | `setQty(java.math.BigInteger value)` Sets the value of the '`Qty`' attribute.
`void` | `unsetQty()` Unsets the value of the '`Qty`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.CD
`getCode, getCodeSystem, getCodeSystemName, getCodeSystemVersion, getDisplayName, getOriginalText, getQualifier, getTranslation, setCode, setCodeSystem, setCodeSystemName, setCodeSystemVersion, setDisplayName, setOriginalText`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQty

    java.math.BigInteger getQty()

  Returns the value of the 'Qty' attribute. The default value is `"1"`. The quantity in which the bag item occurs in its containing bag.

  Returns:
    the value of the 'Qty' attribute.
  See Also:
    `isSetQty()`, `unsetQty()`, `setQty(BigInteger)`, `CDAR2Package.getBXITCD_Qty()`

### setQty

    void setQty(java.math.BigInteger value)

  Sets the value of the '`Qty`' attribute.

  Parameters:
    `value` - the new value of the 'Qty' attribute.
  See Also:
    `isSetQty()`, `unsetQty()`, `getQty()`

### unsetQty

    void unsetQty()

  Unsets the value of the '`Qty`' attribute.

  See Also:
    `isSetQty()`, `getQty()`, `setQty(BigInteger)`

### isSetQty

    boolean isSetQty()

  Returns whether the value of the '`Qty`' attribute is set.

  Returns:
    whether the value of the 'Qty' attribute is set.
  See Also:
    `unsetQty()`, `getQty()`, `setQty(BigInteger)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD